## fetchmail 6.3.17

=== debian/changelog ===
fetchmail (6.3.17-4ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #609634)
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 25 Jul 2010 03:17:28 +0200

fetchmail (6.3.17-4) unstable; urgency=low

  * Removed update-rc.d fetchmail remove (Closes: #587902, #587855).

 -- Hector Garcia <hector@debian.org>  Fri, 02 Jul 2010 15:02:10 +0200

fetchmail (6.3.17-3) unstable; urgency=low

  * Removed stop on level 1. (Closes: #587367).
  * Included doc-base information about the .html files in docs.
  * Changed Conflicts for Breaks.
  * Bumped standards-version to 3.9.0
  * Cleaned Makefile after configure to prevent unnecesary linking against
    libcrypt and libk5crypto.

 -- Hector Garcia <hector@debian.org>  Wed, 30 Jun 2010 12:41:12 +0200

fetchmail (6.3.17-2) unstable; urgency=low

  [Nico Golde]
  * Add Should-Start and Should-Stop facilities to the init script
    in order to make sure fetchmail is started after a local DNS
    server and/or MTA if present. Thanks to Jan Braun and Petter
    Reinholdtsen (Closes: #582475).
  * Add 03_spurious-ssl-cert-warning.patch to prevent fetchmail complaining
    about an insecure ssl connection even if a fingerprint that has been
    obtained through a secure channel is configured (Closes: #580796).

  [Hector Garcia]
  * Changed suggest of exim4 to default-mta (Closes: #586864, #586865).
  * Not explicitly stop daemon on runlevel 0 and 6 (Closes: #498427).
  * Make it compile against python2.6. Thanks to Steve Langasek
    (Closes: #586866, #586867).
  * Updated man page patch to include more minus escaped form.

 -- Nico Golde <nion@debian.org>  Thu, 24 Jun 2010 13:52:43 +0200

fetchmail (6.3.17-1) unstable; urgency=low

  * New upstream release.
    - Drop fetchmail-SA-2010-02.patch, included upstream, this
      patch also introduced a regression that was fixed with this
      release as well.
  * Add status option to init script and incorporate changes
    by Peter Eisentraut, thanks! (Closes: #527967).
    - Bump lsb depedency to 3.2-13.

 -- Nico Golde <nion@debian.org>  Fri, 07 May 2010 19:20:00 +0200

fetchmail (6.3.16-2) unstable; urgency=medium

  * Add fetchmail-SA-2010-02.patch fixing a possible DoS on invalid
    multibyte sequences in message headers when used with -vv.

 -- Nico Golde <nion@debian.org>  Mon, 19 Apr 2010 14:40:41 +0200

fetchmail (6.3.16-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Suggest default-mta | mail-transport-agent, not
      exim4 | mail-transport-agent.
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.
  * Dropped changes:
    - don't depend on sysv-rc (>= 2.86.ds1-14.1ubuntu2); the 'multiuser'
      argument to update-rc.d is deprecated.
    - 06_cert_0_byte.patch: included upstream.
    - python2.6 compatibility: fix included in Debian.
  * debian/rules, debian/fetchmailconf.install: fix up python2.6 compatibility
    by accounting for site-packages vs. dist-packages across python versions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jun 2010 23:12:15 +0000

fetchmail (6.3.16-1) unstable; urgency=low

  * New upstream release.
    - Load all SSL ciphers (Closes: #576430).
    - Fix regression when using --interface (Closes: #576717).

 -- Nico Golde <nion@debian.org>  Thu, 08 Apr 2010 20:03:55 +0200

fetchmail (6.3.15-1) unstable; urgency=low

  * New upstream release.
    - Log an unexpected BYE from the server when using imap
      (Closes: #140631, #215688).
  * Removing Hectors NEWS entry as it was a plain copy of the changelog
    (Closes: #569207).
  * Remove 03_sdump_heap_overflow.patch, included upstream.
  * Switch to 3.0 (quilt) source format.
  * Fix incorrect version number in NEWS file: 6.3.6.rc3-1 -> 6.3.6~rc3-1.

 -- Nico Golde <nion@debian.org>  Sat, 03 Apr 2010 19:57:08 +0200

fetchmail (6.3.13-2) unstable; urgency=medium

  * Add 03_sdump_heap_overflow.patch to fix heap overflow in verbose SSL
    certificate information display (fetchmail-SA-2010-01).
  * Some fixed issues for 6.3.13:
    - Russion translation for flushed fixed (Closes: #531925).
    - Fetchmail no longer drops permanently undelivered messages by
      default, to match historic documentation. It does so by introducing
      a new softbounce option (Closes: #471283).
    - Report multiline SMTP errors properly (Closes: #529899).
  * Also do not complain about /etc/fetchmailrc on calling the init
    script with stop (Closes: #546841).

 -- Nico Golde <nion@debian.org>  Thu, 04 Feb 2010 13:02:29 +0100

fetchmail (6.3.13-1) unstable; urgency=low

  * New upstream version.
  * Removed 02_nooverlapping_snprintf.patch no longer needed.
  * Removed 03_smb_assert.patch no longer needed.
  * Removed 04_fix_fetchsetup_bashism.patch no longer needed.
  * Removed 05_fetchlimit_exist_status.patch no longer needed.
  * Removed 06_cert_0_byte.patch no longer needed.
  * Bump to policy version 3.8.4
  * Added README.source explaining that this package uses quilt.
  * Added 02_man_page.patch to fix 2 man page minor bugs.
  * Added ${misc:Depends} on control for both binaries.  

 -- Hector Garcia <hector@debian.org>  Mon, 01 Feb 2010 16:45:58 +0100

fetchmail (6.3.9~rc2-8) unstable; urgency=low

  * Do not complain about missing config file when daemon shouldn't
    start at all (Closes: #540533).
  * Depend on $syslog in init script (Closes: #541394).

 -- Nico Golde <nion@debian.org>  Thu, 13 Aug 2009 23:14:16 +0200

fetchmail (6.3.9~rc2-7) unstable; urgency=low

  * Fix inconsistencies in init script.

