=== debian/control ===
Source: fetchmail
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
XS-Python-Version: current
Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
Standards-Version: 3.9.0
Homepage: http://www.fetchmail.info
Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/

Package: fetchmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.7), adduser (>= 3.34), lsb-base (>= 3.2-13)
Breaks: logcheck (<< 1.1.1-9), fetchmail-ssl (<= 6.2.5-12)
Conflicts: fetchmail-common
Replaces: fetchmail-common, fetchmail-ssl
Provides: fetchmail-ssl
Suggests: fetchmailconf, default-mta | mail-transport-agent, resolvconf
Recommends: ca-certificates
Description: SSL enabled POP3, APOP, IMAP mail gatherer/forwarder
 fetchmail is a free, full-featured, robust, and well-documented remote mail
 retrieval and forwarding utility intended to be used over on-demand TCP/IP
 links (such as SLIP or PPP connections).  It retrieves mail from remote mail
 servers and forwards it to your local (client) machine's delivery system, so
 it can then be read by normal mail user agents such as mutt, elm, pine,
 (x)emacs/gnus, or mailx.  The fetchmailconf package includes an interactive
 GUI configurator suitable for end-users.
 .
 Kerberos V and GSSAPI are supported.
 .
 Kerberos IV,  RPA, OPIE and other support for some other features are
 available if the package is recompiled.

Package: fetchmailconf
Architecture: all
Depends: fetchmail (>= ${source:Version}), ${misc:Depends}, python-tk, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: fetchmail configurator
 A GUI wrapper to configure fetchmail's .fetchmailrc, suitable for
 end-users.  See fetchmail package for more information.
