## fetchmail 6.3.18

=== debian/changelog ===
fetchmail (6.3.18-2ubuntu1) natty; urgency=low

  * Merge from Debian unstable.  Remaining changes: (LP: #685065)
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.
    - This upload fixes bug with wrong path. (LP: #669066, Closes: #603861)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 04 Dec 2010 03:07:12 +0100

fetchmail (6.3.18-2) unstable; urgency=low

  * Fix python module path for fetchmailconf (Closes: #603861).

 -- Nico Golde <nion@debian.org>  Wed, 01 Dec 2010 23:20:37 +0100

fetchmail (6.3.18-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #665555)
    - debian/init, debian/fetchmail.postinst: don't stop fetchmail in
      runlevels [06], the default 'killall' handler should be sufficient
      because fetchmail writes are properly completed before telling the
      server it's ok to delete.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 24 Oct 2010 23:45:53 +0200

fetchmail (6.3.18-1) unstable; urgency=medium

  * New upstream release.
    - Remove 03_spurious-ssl-cert-warning.patch, included upstream.
    - Cancel GSSAPI authentication properly when encountering GSS
      errors (Closes: #568455, #593694).
    - Don't complain about READ-ONLY IMAP folders in --fetchall --keep
      mode (Closes: #348995).
  * Bump standards version, no changes needed.

 -- Nico Golde <nion@debian.org>  Mon, 11 Oct 2010 23:53:31 +0200
