=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
 XS-Python-Version: current
 Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/
