## fetchmail 6.3.19

=== debian/changelog ===
fetchmail (6.3.19-1~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.
  * Revert the dh_python2 changes since it's not in Lenny yet:
    - Add python-central back to the dependencies
    - Bump the minimum Python version back down to 2.3.5-11
    - Restore XB-Python-Version
    - Replace the dh_python2 call back with dh_pycentral

 -- Peter Pentchev <roam@ringlet.net>  Thu, 28 Apr 2011 16:30:41 +0300

fetchmail (6.3.19-1) unstable; urgency=low

  [Nico Golde]
  * New upstream release.
  * Bump standards version, no changes needed.
  * Converting from python-central to dh_python2 (Closes: #616806)
    - Removed python-central from dependencies
    - Bump minimum python version to 2.6.6-3~
    - Removed XB-Python-Version
    - Add dh_python2 call to binary-indep, remove dh_pycentral
  * Removed 02_man_page.patch, changes included upstream.
  * Add 02_fetchmail-kill-sslv2.patch (thanks Matthias!) to fix FTBFS
    due to openssl 1.0.0 dropping ssl v2 support (Closes: #622054).

  [Hector Garcia]
  * Removed the part from 01_fetchmailconf.patch where it touches
    Makefile.in file and removed 03_fetchmailconf_python2.6.patch.

 -- Nico Golde <nion@debian.org>  Wed, 13 Apr 2011 12:57:14 +0200
