=== debian/rules ===
--- 
+++ 
@@ -166,7 +166,6 @@
 	dh_installchangelogs -i
 	dh_link -i usr/share/man/man1/fetchmail.1.gz usr/share/man/man1/fetchmailconf.1.gz
 	dh_pycentral -i
-#	dh_python -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
