## fetchmail 6.3.21

=== debian/changelog ===
fetchmail (6.3.21-2) unstable; urgency=low

  * Do not log server certificate message to stderr in verbose mode
    (Closes: #639807).
  * debian/control: Drop XS-Python-Version to allow dh_python2 to create
    symlinks to all supported python versions (Closes: #626100).
    patch was missing in previous upload.
  * Only awake fetchmail via resolvconf, if it is actually
    running (Closes: #612179).
    patch was broken in previous upload.

 -- Nico Golde <nion@debian.org>  Sun, 04 Sep 2011 16:00:50 +0200

fetchmail (6.3.21-1) unstable; urgency=low

  * New upstream release
    - Do not insert null byte into the last line of a message under
      certain circumstances in the IMAP client (Closes: #638773).
  * debian/control: Drop XS-Python-Version to allow dh_python2 to create
    symlinks to all supported python versions (Closes: #626100).
  * Only awake fetchmail via resolvconf, if it is actually
    running (Closes: #612179).
  * Adjust 02_fetchmail-kill-sslv2.patch, german po changes have been
    applied by upstream.
  * debian/control: extend long description for fetchmailconf.
  * debian/rules: introduce new build-arch/build-indep targets.

 -- Nico Golde <nion@debian.org>  Mon, 29 Aug 2011 19:20:00 +0200
