=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
-XS-Python-Version: current
-Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.3.5-11) , python-central (>= 0.5), libkrb5-dev, libgssglue-dev
+Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev
 Standards-Version: 3.9.2
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/
@@ -35,7 +34,7 @@
 Package: fetchmailconf
 Architecture: all
 Depends: fetchmail (>= ${source:Version}), ${misc:Depends}, python-tk, ${python:Depends}
-XB-Python-Version: ${python:Versions}
 Description: fetchmail configurator
  A GUI wrapper to configure fetchmail's .fetchmailrc, suitable for
- end-users.  See fetchmail package for more information.
+ end-users.  It assists end-users in setting up and editing fetchmail
+ configuration files.  See fetchmail package for more information.
