=== debian/rules ===
--- 
+++ 
@@ -124,7 +124,10 @@
 
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: configure-stamp build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	set -e
 	dh_testdir
@@ -165,7 +168,7 @@
 	dh_installman -i 
 	dh_installchangelogs -i
 	dh_link -i usr/share/man/man1/fetchmail.1.gz usr/share/man/man1/fetchmailconf.1.gz
-	dh_pycentral -i
+	dh_python2 -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
