## fetchmail 6.3.22

=== debian/changelog ===
fetchmail (6.3.22-2) unstable; urgency=low

  * Fix memory leak in OpenSSL's certificate varification callback.
    Thanks Erik Thiele and Dominik! (Closes: #688015).
  * Fix combination of --plugin and -f - (Closes: #671294).

 -- Nico Golde <nion@debian.org>  Mon, 17 Dec 2012 13:04:01 +0100

fetchmail (6.3.22-1) unstable; urgency=low

  * New upstream release.
    - Fix minor DoS in NTLM message handling (CVE-2012-3482).
    - Clears SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS as a precaution
      against "BEAST" attacks (CVE-2011-3389).
  * Removed 03_ssl_cert_logging.patch, incorporated by upstream.
  * Removed 02_fetchmail-kill-sslv2.patch, incorporated by upstream.
  * Do not log disabled daemon message as warning (Closes: #672724).
  * Raise standards version, no changes required.
  * Add LSB description header to init script.

 -- Nico Golde <nion@debian.org>  Thu, 30 Aug 2012 15:46:27 +0200

fetchmail (6.3.21-4) unstable; urgency=low

  * Fix building with build-arch (Closes: #671026).

 -- Nico Golde <nion@debian.org>  Tue, 01 May 2012 18:56:24 +0200

fetchmail (6.3.21-3) unstable; urgency=low

  * Build with hardening compiler flags (Closes: #653538).
    - Add Build-Depends on dpkg-dev (>= 1.16.1~).
    - Use buildflags.mk snippet in debian/rules.
    - Make all hardening flags default for DEB_BUILD_MAINT_OPTIONS.
  * Use log_warning_msg rather than echo to inform user that the
    fetchmail daemon has been disabled.

 -- Nico Golde <nion@debian.org>  Thu, 29 Dec 2011 18:55:30 +0100
