=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
 Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
-Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://www.fetchmail.info
 Vcs-Svn: svn://svn.debian.org/pkg-fetchmail/
