## fetchmail 6.3.26

=== debian/changelog ===
fetchmail (6.3.26-1) unstable; urgency=low

  * New upstream release.
    - Fix mimedecode option dropping last message line in certain
      situations (Closes: #706045).
  * remove 03_fix_command_line_combination.patch and
    02_cert-verification-memleak.patch, included upstream.
  * Bump standards version, no changes required.
  * Change Vcs URI to canonical URI.
  * Explicitly add postfix to Should-Start for LSB init script
    (Closes: #631781).
  * Add proper Default-Stop entries to LSB init script header.
  * Simplify resolvconf script as resolvconf doesn't call scripts
    anymore with --nscd (Closes: #699425).

 -- Nico Golde <nion@debian.org>  Sat, 11 May 2013 12:23:25 +0200
