=== debian/rules ===
--- 
+++ 
@@ -91,8 +91,12 @@
 	FETCHCONFOPT += --enable-inet6
 endif
 
-# Turn off optimization if the user requests it.
-CFLAGS = -Wall -pipe -g
+# enable hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -Wall -pipe
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
@@ -124,9 +128,9 @@
 
 	touch configure-stamp
 
-build: configure-stamp build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
+build: configure-stamp build-arch
+build-arch: configure-stamp build-stamp
+build-indep: configure-stamp build-stamp
 
 build-stamp:
 	set -e
