## fetchmail 6.4.0~beta4

=== debian/changelog ===
fetchmail (6.4.0~beta4-3+deb10u1) buster; urgency=medium

  * Backport fix to no longer reports System error during SSL_connect():
    Success (closes: #928916).
  * Remove forced OpenSSL version check (closes: #980766).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 Jan 2021 11:13:50 +0100

fetchmail (6.4.0~beta4-3) unstable; urgency=medium

  * Backport fix potential SIGSEGV in pop3_delete (closes: #921450).
  * Backport native name verification for OpenSSL.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Feb 2019 16:33:00 +0000

fetchmail (6.4.0~beta4-2) unstable; urgency=medium

  * Upload to Sid.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Feb 2019 15:45:40 +0000

fetchmail (6.4.0~beta4-1) experimental; urgency=medium

  * New major upstream beta release:
    - improved TLS support (closes: #768843).
  * Update watch file.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency,
    - don't specify parallel to debhelper,
    - specify restart-after-upgrade to dh_installinit .
  * Update Standards-Version to 4.1.4 .

  [ Russell Coker <russell@coker.com.au> ]
  * Run restorecon after creating directory from init script (closes: #752598).

  [ Nicolas Boulenguez <nicolas@debian.org> ]
  * Packaging updates (closes: #895366):
    - rename d/init to d/fetchmail.init, as recommended by policy,
    - give standard formatting to header of 01_fetchmailconf.patch ,
    - remove obsolete debian/pycompat ,
    - fix typo in manpage,
    - delegate installation of ppp and logcheck scripts to debhelper,
    - delegate manpages from dh_install to more specialized
      dh_installmanpages ,
    - install contrib files and resolvconf directly without intermediate copy
      in debian/tmp ,
    - switch copyright to format 1.0 and add some missing licenses.
    - delegate buggy installation of README.contrib to debhelper,
    - per policy 4.0.0, use invoke-rc.d instead of calling /etc/init.d/*
      directly,
    - rules: drop paragraphe preparing unused variable CONFFLAGS ,
    - rules: simplify some variable affectations,
    - delegate build flags stuff to dpkg-buildflags .

  [ Kevin Ryde <user42_kevin@yahoo.com.au> ]
  * Let fetchmail-mode run hook after other settings (closes: #710319).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Jun 2018 15:52:22 +0000

fetchmail (6.3.26-3) unstable; urgency=low

  * Use short debhelper rules format.
  * Update packaging to fix FTBFS if building in parallel (closes: #828299).
  * Let debhelper handle invoke-rc.d and update-rc.d calls.
  * Add dh-autoreconf to build dependency.
  * Remove unneeded dpkg-dev build dependency.
  * Update Standards-Version to 3.9.8 and debhelper level to 9 .
  * Remove Nico Golde from uploaders per request.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Nov 2016 21:07:11 +0000

fetchmail (6.3.26-2) unstable; urgency=low

  * New maintainer (closes: #800750), keep Nico and Hector as uploaders.
  * Backport upstream fix for SSLv3 removal (closes: #804604) and do not
    recommend SSLv3 (closes: #801178).
  * Version OpenSSL build dependency for TLSv1.2 support.
  * Remove quilt from build depends and its usage.
  * Add dh-python to build depends.
  * Update upstream URLs.
  * Update watch file.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 03 Oct 2015 16:32:13 +0200
