=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fetchmail
 Section: mail
 Priority: optional
-Maintainer: Fetchmail Maintainers <pkg-fetchmail-maint@lists.alioth.debian.org>
-Uploaders: Nico Golde <nion@debian.org>, Hector Garcia <hector@debian.org>
-Build-Depends: debhelper (>= 7), libssl-dev, autotools-dev, quilt (>= 0.40), bison, python (>=2.6.6-3~) , libkrb5-dev, libgssglue-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), libssl-dev (>= 1.0.2), bison, python (>= 2.7), dh-python, libkrb5-dev, libgssglue-dev
+Standards-Version: 4.3.0
 Homepage: http://www.fetchmail.info
-Vcs-Svn: svn://anonscm.debian.org/pkg-fetchmail/
+#Vcs-Svn: svn://anonscm.debian.org/pkg-fetchmail/
 
 Package: fetchmail
 Architecture: any
@@ -34,6 +33,7 @@
 Package: fetchmailconf
 Architecture: all
 Depends: fetchmail (>= ${source:Version}), ${misc:Depends}, python-tk, ${python:Depends}
+XB-Python-Version: ${python:Versions}
 Description: fetchmail configurator
  A GUI wrapper to configure fetchmail's .fetchmailrc, suitable for
  end-users.  It assists end-users in setting up and editing fetchmail
