=== debian/watch ===
version=4
opts=uversionmangle=s/^SNAPSHOT[_-](\d+)[_-](\d+)[_-](\d+)[_-](.+)$/$1.$2.$3~$4/;s/^RELEASE[_-](\d+)[_-](\d+)[_-](\d+)$/$1.$2.$3/ \
https://gitlab.com/fetchmail/fetchmail/tags .*/tags/(.+)
